Skip to main content
Get request details
curl --request GET \
  --url https://api.usetokenless.com/v1/usage/requests/{request_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.usetokenless.com/v1/usage/requests/{request_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.usetokenless.com/v1/usage/requests/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "request_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "prompt_preview": "<string>",
  "response_preview": "<string>",
  "provider_ranks": [
    {
      "model_id": "<string>",
      "rank": 123
    }
  ],
  "total_cost_nanos": 123,
  "total_input_tokens": 123,
  "total_output_tokens": 123,
  "selected_model_id": "<string>",
  "byok": true,
  "session_id": "<string>",
  "agent_id": "<string>",
  "parent_agent_id": "<string>",
  "session_source": "<string>",
  "credential_name": "<string>",
  "feedback": {
    "comment": "<string>",
    "reason": "<string>"
  }
}
GET/v1/usage/requests/{request_id}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

request_id
string
required

Response

Cost and routing record.

request_id
string
required
created_at
string<date-time>
required
prompt_preview
string
required
response_preview
string
required
provider_ranks
object[]
required
total_cost_nanos
integer<int64>
required
total_input_tokens
integer<int64>
required
total_output_tokens
integer<int64>
required
selected_model_id
string
byok
boolean
routing_mode
enum<string>
Available options:
pro,
max,
ultra_saver
session_id
string
agent_id
string
parent_agent_id
string
session_source
string
credential_name
string
feedback
object